-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local RuleInterface = require 'mdb.bmc.kepler.AccountService.RuleInterface'

local childs = {}
local Rule = {childs = childs}

local Mdb = require 'mc.mdb'

local TRule = Mdb.register_object('/bmc/kepler/AccountService/Rules/:RuleId',
    {{name = 'Rule', interface = RuleInterface.Rule}})
Rule.Rule = TRule

function TRule:ctor(RuleId)
    self.path = '/bmc/kepler/AccountService/Rules/' .. RuleId .. ''
end

return Rule
